#include <stdio.h>
#include <stdlib.h>
#include <vector>
using namespace std;

int main()
{
    
    int n,k;
    vector<int> v;
    int br=0;
    scanf("%d%d",&n,&k);
    int *a=(int*)calloc(2*n+1,sizeof(int));
    for(int i=0;i<n;i++)
    {
        int x;
        scanf("%d",&x);
        a[n+x]++;
        if(a[n+x]==k)
        {
            a[n+x]=0;
            br++;
            v.push_back(x);
        }
    }
    printf("%d\n",br);
    for(vector<int> :: iterator it=v.begin();it!=v.end();it++)
        printf("%d ",*it);
    return 0;
}